> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reportify.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# Folder Create

> OAI docs folder create

## 创建文件夹

**URL**: `/v1/docs/folder/create`\
**方法**: `POST`\
**描述**: 创建一个新的文件夹。

### 请求参数

| 参数名  | 类型  | 描述    |
| ---- | --- | ----- |
| name | str | 文件夹名称 |

### 响应参数

| 参数名 | 类型  | 描述       |
| --- | --- | -------- |
| id  | str | 文件夹唯一 ID |

### 请求示例

**cURL**

```bash theme={null}
curl -X POST https://api.reportify.cn/v1/docs/folder/create \
-H "Authorization: Bearer 447460****09c9" \
-H "Content-Type: application/json" \
-d '{
    "name": "AI Reports"
}'
```

**Python 示例**

```python theme={null}
import requests

url = "https://api.reportify.cn/v1/docs/folder/create"
headers = {
    "Authorization": "Bearer 447460****09c9",
    "Content-Type": "application/json"
}
payload = {
    "name": "AI Reports"
}

response = requests.post(url, headers=headers, json=payload)
print(response.json())
```

### 响应示例

```json theme={null}
{
  "id": "folder_12345"
}
```


## OpenAPI

````yaml POST /v1/docs/folder/create
openapi: 3.1.0
info:
  title: Reportify API
  version: 1.0.0
  description: API documentation for Reportify's document management and search services.
servers:
  - url: https://api.reportify.cn
    description: Production server
security:
  - BearerAuth: []
paths:
  /v1/docs/folder/create:
    post:
      tags:
        - openapi-files
      summary: Create Folder
      description: OAI docs folder create
      operationId: create_folder_reportify_api_v1_docs_folder_create_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OAIFolderCreateRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OAIFolderResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    OAIFolderCreateRequest:
      properties:
        name:
          type: string
          title: Name
      type: object
      required:
        - name
      title: OAIFolderCreateRequest
    OAIFolderResponse:
      properties:
        folder_id:
          type: string
          title: Folder Id
      type: object
      required:
        - folder_id
      title: OAIFolderResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Enter your Bearer token

````